Bug 968283 - Broker outage notifications can not be shown to rhc client
Broker outage notifications can not be shown to rhc client
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 07:24 EDT by Jianwei Hou
Modified: 2015-05-14 20:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:13:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-05-29 07:24:46 EDT
Description of problem:
Create broker outage with outage notification, the notification can not be shown to the end user via rhc.

Version-Release number of selected component (if applicable):
On devenv_3283

How reproducible:
Always

Steps to Reproduce:
1. In /etc/openshift/broker-dev.conf, set ENABLE_MAINTENANCE_MODE to "true", add some message in /etc/openshift/outage_notification.txt
2. restart rhc-broker
3. Do some operation from rhc
rhc domain show


Actual results:
After step 3:
The server as unable to communicate with the broker, which is expected. However, the content in outage_notification.txt is not displayed

Expected results:ds
Should be able to see the outage notification from rhc

Additional info:
Comment 1 Ravi Sankar 2013-05-29 15:24:05 EDT
Fixed in https://github.com/openshift/origin-server/pull/2677
Comment 2 openshift-github-bot 2013-05-29 19:09:19 EDT
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/cace5adfdc06ee73ec136383b3cb56e469b87bd7
Bug 968283 - before_filter check_version must be applied before check_outage to ensure @requested_api_version is populated

https://github.com/openshift/origin-server/commit/893bd4dbfc589bf21d491684d8bf98d388624960
Merge pull request #2677 from pravisankar/dev/ravi/bug968283

Merged by openshift-bot
Comment 3 Jianwei Hou 2013-05-30 01:39:18 EDT
Verified on devenv_3289

Follow reproduce steps, and now the outage notification can be show to rhc client

$ rhc domain show
The operation did not complete successfully, but the server returned additional information:
* it's an outage

Note You need to log in before you can comment on or make changes to this bug.